DB_ENV->get_flags()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_flags()

    #include <db.h>

    int
    DB_ENV->get_flags(DB_ENV *dbenv, u_int32_t *flagsp);

The `DB_ENV->get_flags()` method returns the configuration flags set for a DB_ENV handle. These flags are set using the DB_ENV->set_flags() method.

The `DB_ENV->get_flags()` method may be called at any time during the life of the application.

The `DB_ENV->get_flags()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flagsp

The `DB_ENV->get_flags()` method returns the configuration flags in flagsp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
DB_ENV->get_errpfx() | Home | DB_ENV->get_home()